%define upstream_name cluster

Name:           python-%{upstream_name}
Version:        1.3.3
Release:        %mkrel 1
Summary:        Create several groups (clusters) of objects from a list
Group:          Development/Python
License:        LGPL
URL:            https://pypi.python.org/pypi/cluster
Source0:        https://pypi.python.org/packages/source/c/cluster/python-cluster-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
python-cluster is a "simple" package that allows to create several groups
(clusters) of objects from a list. It's meant to be flexible and able to
cluster any object. To ensure this kind of flexibility, you need not only to
supply the list of objects, but also a function that calculates the similarity
between two of those objects. For simple datatypes, like integers, this can be
as simple as a subtraction, but more complex calculations are possible. Right
now, it is possible to generate the clusters using a hierarchical clustering
and the popular K-Means algorithm. For the hierarchical algorithm there are
different "linkage" (single, complete, average and uclus) methods available.

%prep
%setup -q -n python-%{upstream_name}-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%files
%doc CHANGELOG LICENSE
%{python_sitelib}/cluster
%{python_sitelib}/cluster-%{version}-*.egg-info


%changelog
* Sat Nov 12 2016 guillomovitch <guillomovitch> 1.3.3-1.mga6
+ Revision: 1066646
- new version 1.3.3

* Thu Feb 04 2016 umeabot <umeabot> 1.1.2-8.mga6
+ Revision: 935706
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-7.mga5
+ Revision: 750375
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1.2-6.mga5
+ Revision: 728187
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-5.mga5
+ Revision: 687937
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.1.2-3.mga4
+ Revision: 544941
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.1.2-2.mga4
+ Revision: 500499
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Aug 21 2013 guillomovitch <guillomovitch> 1.1.2-1.mga4
+ Revision: 468928
- imported package python-cluster

